%global commit 1f3ba6915a4289e6b421d873e84bdb86c224a4dc
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20190404

Name:           makedepf90
Summary:        Create Makefile dependency list for Fortran source files
Version:        2.8.9
Release:        1.%{date}git%{shortcommit}%{?dist}
License:        GPLv2

URL:            https://github.com/outpaddling/makedepf90
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  automake
BuildRequires:  gcc

%description
Makedepf90 is a program for automatic creation of Makefile dependency
lists for Fortran source code. Makedepf90 supports MODULE:s, INCLUDE:s,
cpp #include:s, f90ppr $include:s and coco ??include:s and set-files.

The original idea was to provide the same functionality for Fortran as

    gcc -MM *.c

does for C.

%prep
%autosetup -n %{name}-%{commit}

%build
%set_build_flags
%make_build YACC=bison

%install
%make_install prefix=%{_prefix}

%files
%doc news readme
%license copying
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Apr 25 2020 Igor S Gerasimov <i.s.ger@ya.ru> - 2.8.9-1
- Changed Source of archive
- Updated build and installation process

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 03 2010 Dominik Mierzejewski <rpm@greysector.net> 2.8.8-1
- initial package
